<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Homework JS 1</title>
</head>
<body>

<p>Homework JS 1:</p>

<p>var - a 'globally visible' variable with an application to the whole code in any place for all functions,
    with global or local scope, hoisting should be kept in mind,
    can lead to problems with readability, testing and unexpected bugs.
</p>

<p>let - a block scope variable with application inside {}, easier to control.</p>

<p>const - works like let but cannot be re-assigned.</p>

<script>

    const name = prompt('enter your name');
    let age = prompt('enter your age');
    
    if (age < 18) {

        alert('You are not allowed to visit this website');
    }

    else if (age >= 18 && age <=22) {
        let conf = confirm('Are you sure you want to continue?');
        if (conf === true) {
            alert('Welcome, ' + name);
        }
        else {
            alert('You are not allowed to visit this website');
        }
    }

    else {
        alert('Welcome, ' + name);

    }

</script>


</body>
</html>